[arch-commits] Commit in silly/trunk (ChangeLog PKGBUILD)

Eric Bélanger eric at archlinux.org
Tue Jan 19 00:25:26 EST 2010


    Date: Tuesday, January 19, 2010 @ 00:25:26
  Author: eric
Revision: 63954

upgpkg: silly 0.1.0-4
    Rebuilt for libpng 1.4 and libjpeg 8, Added ChangeLog

Added:
  silly/trunk/ChangeLog
Modified:
  silly/trunk/PKGBUILD

-----------+
 ChangeLog |    5 +++++
 PKGBUILD  |   16 +++++++---------
 2 files changed, 12 insertions(+), 9 deletions(-)

Added: ChangeLog
===================================================================
--- ChangeLog	                        (rev 0)
+++ ChangeLog	2010-01-19 05:25:26 UTC (rev 63954)
@@ -0,0 +1,5 @@
+2010-01-19  Eric Belanger  <eric at archlinux.org>
+
+	* silly 0.1.0-4
+	* Rebuilt for libpng 1.4 and libjpeg 8
+	* Added ChangeLog

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-19 05:23:33 UTC (rev 63953)
+++ PKGBUILD	2010-01-19 05:25:26 UTC (rev 63954)
@@ -4,23 +4,21 @@
 
 pkgname=silly
 pkgver=0.1.0
-pkgrel=3
+pkgrel=4
 pkgdesc="Simple Image Loading LibrarY, a part of the CEGUI project"
 arch=('i686' 'x86_64')
 url="http://www.cegui.org.uk/wiki/index.php/SILLY"
 license=('MIT')
-depends=('libjpeg>=7' 'libpng' 'gcc-libs')
+depends=('libjpeg' 'libpng' 'gcc-libs')
 options=('!libtool')
-source=(http://downloads.sourceforge.net/crayzedsgui/SILLY-$pkgver.tar.gz)
+source=(http://downloads.sourceforge.net/crayzedsgui/SILLY-${pkgver}.tar.gz)
 md5sums=('c3721547fced7792a36ffc9ce6ec23fd')
 sha1sums=('ef5c8ed6c5c57d7d792dbb9e02006c3770334869')
 
 build() {
-  cd $startdir/src/SILLY-$pkgver
-  ./configure --prefix=/usr
+  cd "${srcdir}/SILLY-${pkgver}"
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
-
-# install the MIT license
-  install -D -m644 COPYING $startdir/pkg/usr/share/licenses/$pkgname/COPYING
+  make DESTDIR="${pkgdir}" install || return 1
+  install -D -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/COPYING" || return 1
 }



More information about the arch-commits mailing list